MONGOC_COLLECTION_T(3)

NAME
mongoc_collection_t - #include <mongoc.h>

typedef struct _mongoc_collection_t mongoc_collection_t;

SYNOPSIS

#include <mongoc.h>

typedef struct _mongoc_collection_t mongoc_collection_t;

mongoc_collection_t provides access to a MongoDB collection. This handle is useful for actions for most CRUD operations, I.e. insert, update, delete, find, etc.

READ PREFERENCES AND WRITE CONCERNS

Read preferences and write concerns are inherited from the parent client. They can be overridden by set_* commands if so desired.

LIFECYCLE

It is an error to call mongoc_collection_destroy(3) on a collection that has operations pending. It is required that you release mongoc_cursor_t structures before calling mongoc_collection_destroy(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.